×

Discussion Board

Results 1 to 7 of 7
  1. #1
    Registered User
    Join Date
    Nov 2010
    Location
    Finland
    Posts
    91

    Question What's missing, can't build with Qt SDK 1.1

    I'm trying to get the environment up in a new machine. Can't remember all the steps I need to do before I get this working.

    Now it says with S^1

    Code:
    process_begin: CreateProcess((null), arm-none-symbianelf-g++ -dumpversion, ...) failed.
    process_begin: CreateProcess((null), arm-none-symbianelf-g++ -print-libgcc-file-name, ...) failed.
    process_begin: CreateProcess((null), arm-none-symbianelf-g++ -print-file-name=libsupc++.a, ...) failed.
    process_begin: CreateProcess((null), arm-none-symbianelf-g++ -print-libgcc-file-name, ...) failed.
    process_begin: CreateProcess((null), arm-none-symbianelf-g++ -print-libgcc-file-name, ...) failed.
    process_begin: CreateProcess((null), arm-none-symbianelf-g++ -print-file-name=libsupc++.a, ...) failed.
    process_begin: CreateProcess((null), arm-none-symbianelf-g++ -dumpversion, ...) failed.
    process_begin: CreateProcess((null), arm-none-symbianelf-g++ -print-libgcc-file-name, ...) failed.
    process_begin: CreateProcess((null), arm-none-symbianelf-g++ -print-file-name=libsupc++.a, ...) failed.
    process_begin: CreateProcess((null), arm-none-symbianelf-g++ -print-libgcc-file-name, ...) failed.
    process_begin: CreateProcess((null), arm-none-symbianelf-g++ -print-libgcc-file-name, ...) failed.
    process_begin: CreateProcess((null), arm-none-symbianelf-g++ -print-file-name=libsupc++.a, ...) failed.
    and with S^3

    Code:
    Warning: No HW compilers detected. Please install either GCCE or RVCT compiler to enable release builds.
    Warning: No valid release platforms in SYMBIAN_PLATFORMS (WINSCW GCCE ARMV5 ARMV6)
    Most likely required compiler(s) are not properly installed.
    What are the missing pieces?

  2. #2
    Nokia Developer Expert
    Join Date
    Dec 2004
    Location
    Austin, TX
    Posts
    399

    Re: What's missing, can't build with Qt SDK 1.1

    You don't need to do anything with a proper install. GCCE will be under [SDK]/Symbian/tools/gcce4/
    Seem that somehow got deleted. Check your Qt Version and Toolchain in the global prefs and make sure they are set up properly.

    Tim

  3. #3
    Registered User
    Join Date
    Mar 2012
    Posts
    5

    Re: What's missing, can't build with Qt SDK 1.1

    I'm having the same problem. I found my gcce4 in C:\QtSDK\Symbian\tools\gcce4. How do I global prefs?

  4. #4
    Registered User
    Join Date
    Mar 2012
    Posts
    5

    Re: What's missing, can't build with Qt SDK 1.1

    Oh, you go into QTCreator -> Tools -> Options -> Tool Chains.
    The GCCE (4.4.1) and Symbian GCCE Toolchain are set up properly.
    However, when I create a HelloWorld.C file in an empty directory:

    #include <QApplication>
    #include <QPushButton>

    int main(int argc, char *argv[])
    {
    QApplication app(argc, argv);

    QPushButton hello("Hello world!");
    hello.resize(100, 30);

    hello.show();
    return app.exec();
    }

    Then go into cmd, then go to the qt project directory, then type in
    setx EPOCROOT C:\QtSDK\Symbian\SDKs\Symbian3Qt474\epoc32 (only have to do this once; sets variable for future sessions)
    qmake -project
    qmake

    I get:

    Warning: No HW compilers detected. Please install either GCCE or RVCT compiler to enable release builds.
    Warning: No valid release platforms in SYMBIAN_PLATFORMS (WINSCW GCCE ARMV5 ARMV6)
    Most likely required compiler(s) are not properly installed.

    What should I do? Please help.

  5. #5
    Registered User
    Join Date
    Mar 2012
    Posts
    5

    Re: What's missing, can't build with Qt SDK 1.1

    Also, here is my Qt Versions screen. Looks pretty bad.



    But the path is valid and qmake.exe is there!

  6. #6
    Registered User
    Join Date
    Mar 2012
    Posts
    5

    Re: What's missing, can't build with Qt SDK 1.1

    I resolved that problem by uninstalling Qt, then manually deleting C:\QtSDK, then cleaning my registry with CCleaner, then downloading the full installer and installing it with the MinGW feature enabled, then adding C:\QtSDK\Desktop\Qt\4.8.0\mingw\bin to my PATH variable. Now I type
    > qmake -project // no complaints, generates some files
    > qmake // doesn't say anything
    > make // the below results.
    make -f Makefile.Debug
    make[1]: Entering directory `/c/sandbox/a'
    g++ -mthreads -Wl,-subsystem,windows -o debug/a.exe -L'c:/QtSDK/Desktop/Qt/4.8.0/mingw/lib' -lmingw32 -lqtmaind -lQtGuid4 -lQtCored4
    c:/QtSDK/Desktop/Qt/4.8.0/mingw/lib/libqtmaind.a(qtmain_win.o): In function `WinMain@16':
    C:\\iwmake\\build_mingw_opensource\\src\\winmain/qtmain_win.cpp:131: undefined reference to `qMain(int, char**)'
    collect2: ld returned 1 exit status
    make[1]: *** [debug/a.exe] Error 1
    make[1]: Leaving directory `/c/sandbox/a'
    make: *** [debug] Error 2

  7. #7
    Registered User
    Join Date
    Mar 2012
    Posts
    5

    Re: What's missing, can't build with Qt SDK 1.1

    Looks like using QCreator instead of the command line solves all my problems. It would be nice if that was made clear on the windows installation page. Something like "Install our MinGW thing NO NO BAD IDEA DON'T DO IT USE QCREATOR INSTEAD" would be abundantly helpful.

    EDIT: Another problem. Looks like the source code I got has errors.



    EDIT: Solved! I uninstalled Qt SDK, removed all its files manually because there were leftovers, cleaned the registry with ccleaner, downloaded the offline installer, installed it using default settings, and used Qt Creator instead of the command line. Thanks for all the help, guys!
    Last edited by lalalalalalalalala; 2012-04-10 at 03:42. Reason: solved problem

Similar Threads

  1. [split] Can't build old project with Qt SDK 1.1 beta
    By weiwei2 in forum [Archived] Qt SDKs and Tools
    Replies: 10
    Last Post: 2011-04-03, 17:56
  2. Can't get Qt for Symbian 4.7.1 working with Nokia Qt SDK
    By arendjr in forum [Archived] Qt SDKs and Tools
    Replies: 9
    Last Post: 2011-03-01, 14:07
  3. Replies: 1
    Last Post: 2010-08-28, 07:10
  4. Build Qt with S60 5.0 Public SDK
    By cavendishqi in forum [Archived] Qt General ( Qt技术)
    Replies: 1
    Last Post: 2009-05-27, 08:02

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×